#!/usr/bin/python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--CFLAGS=-fPIC -DPIC',
    '--CXXFLAGS=-fPIC -DPIC',
    '--FFLAGS=-fPIC',
    '--prefix=/opt/ohpc/pub/libs/gnu7/openmpi/petsc/3.7.6',
    '--with-batch=0',
    '--with-blas-lapack-lib=/opt/ohpc/pub/libs/gnu7/openblas/0.2.20/lib/libopenblas.so',
    '--with-c-support',
    '--with-clanguage=C++',
    '--with-debugging=no',
    '--with-fortran-interfaces=1',
    '--with-hdf5-include=/opt/ohpc/pub/libs/gnu7/openmpi/hdf5/1.10.1/include',
    '--with-hdf5-lib=/opt/ohpc/pub/libs/gnu7/openmpi/hdf5/1.10.1/lib/libhdf5.so',
    '--with-hdf5=1',
    '--with-mpi=1',
    '--with-scalapack-dir=/opt/ohpc/pub/libs/gnu7/openmpi/scalapack/2.0.2',
    '--with-shared-libraries',
    'PETSC_ARCH=arch-linux2-cxx-opt',
  ]
  configure.petsc_configure(configure_options)
